For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceVersions

List

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions
GET
/v1/landscapes/:landscapeId/versions
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.versions.list("landscapeId");
8}
9main();
1{
2 "versions": [
3 {
4 "modelHandleId": "string",
5 "name": "string",
6 "notes": "string",
7 "createdAt": "2024-01-15T09:30:00Z",
8 "createdBy": "user",
9 "createdById": "string",
10 "id": "string",
11 "landscapeId": "string",
12 "tags": [
13 "string"
14 ],
15 "updatedAt": "2024-01-15T09:30:00Z",
16 "updatedBy": "user",
17 "updatedById": "string",
18 "completedAt": "2024-01-15T09:30:00Z"
19 }
20 ],
21 "nextCursor": "string"
22}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired

Query parameters

filterobjectOptional
cursorstringOptional
limitdoubleOptional1-1000

Response

OK
versionslist of objects
nextCursorstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error